Subject: Re: bug#15633: dd and host protected area

From: Pádraig Brady <[email-masked]>
Date: Wed, 16 Oct 2013 21:30:02 +0100

tag 15633 notabug
close 15633
stop

On 10/16/2013 08:19 AM, Peter D. wrote:
> Hi,
> 
> Is it deliberate that dd can not read from, or write to the host protected
> area?  Or is it a bug?

Deliberate.

dd is a high level tool (the d is for data not disk).
Consequently dd just requests the OS to read/write etc.

> It is sensible the the OS does not normally access the HPA, but dd is  not
> a normal tool.
> 
> Personally I would expect it to be able to read from the HPA and to write
> to  it with a suitable flag like, "--yes-I-am-reckless".
> 
> Some jurisdictions require that hard drives be blanked before disposal.  Dd
> is the obvious tool for that.

shred is more appropriate actually.

I would think a specialized tool (when the OS is allowed access),
or settings in the BIOS to disable this area is more appropriate.

thanks,
Pádraig.